package com.agilex.healthcare.schedulingmanager.enumeration;

/**
 * Created with IntelliJ IDEA.
 * User: patelh
 * Date: 12/18/13
 * Time: 12:26 PM
 * To change this template use File | Settings | File Templates.
 */
public enum MdwsError {

    APPOINTMENT_TIME_OUT_OF_RANGE("APTOVOS"),
    SAME_DAY_APPOINTMENT_ERROR("APTPHSD"),
    PATIENT_SAME_SLOT_APPOINTMENT("APTPAHA"),
    TIME_PREVIOUSLY_CANCLED_BY_PATIENT("APTPPCP"),
    OVERBOOK_NOT_ALLOWED("APTOVBK"),
    EXCEEDS_MAX_ALLOWED_OVERBOOK_PER_DAY("APTOAPD"),
    PATIENT_HAS_DIED("PATDIED"),
    APPOINTMENT_DATE_PRIOR_TO_DOB("APTPPAB"),
    APPOINTMENT_DATE_PRIOR_TO_CLINIC_AVAILABILITY("APTPCLA"),
    NO_AVAILABLE_SLOT_FOR_DATE_TIME("APTCLUV"),
    EXCEEDS_MAX_DAYS_IN_FUTURE("APTEXCD"),
    HOLIDAY("APTSHOL"),
    CAN_NOT_BOOK_WITHIN_CANCELED_TIME_PERIOD("APTCBCP"),
    NO_OPEN_SLOT("APTNOST");

    private String name;

    private MdwsError(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String toString(){
        return name;
    }
}
